Subject: Re: [PATCH 10/11] avoid kobject name conflict with different namespaces

From: [email-masked] (Eric W. Biederman)
Date: Thu, 08 May 2008 12:28:19 -0700

Cornelia Huck <[email-masked]> writes:

> On Wed, 07 May 2008 13:54:27 -0700,
> [email-masked] (Eric W. Biederman) wrote:
>
>> > I thought that s390 also used it, but I don't see
>> > that usage in the tree anymore, perhaps they switched to something else.
>> 
>> That is the device_move -> kobject_move case. 
>
> Yes. bluetooth also uses it, IIRC.

Yes.

>> Very similar (and nice
>> if we can figure out how to combine them).
>
> Sounds like a good idea. I can test the _move() stuff (after I've
> managed to find some time to try this patchset...)

Do you remember if we have ever sorted out the race between _move
and module unload/directory teardown at the sysfs level?

Eric